Bug 995258 - Cannot install Fedora 19 on MacBook pro
Cannot install Fedora 19 on MacBook pro
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: liveusb-creator (Show other bugs)
19
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Luke Macken
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-08 17:00 EDT by emsa
Modified: 2016-09-19 22:45 EDT (History)
6 users (show)

See Also:
Fixed In Version: liveusb-creator-3.13.2-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-12-06 05:15:51 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description emsa 2013-08-08 17:00:49 EDT
Description of problem:

 * I create a usb-boot using liveusb-creator
 * I boot the Mac using "EFI boot"
 * I selected "Fedora-live-Desktop ... "
 * The boot happens, but very slowly and then finally fails.

What happens is that the usb never gets mounted and the error is:
dracut-initqueue: /dev/disk/by-label/Fedora-Live-Desktop... does not exists

This is true and I cannot find a way to mount the usb to get the errorlog out. 

Version-Release number of selected component (if applicable):

I have tested with both 18 and 19 with same result.

How reproducible:

Happens every time as above.

Additional info:

Please let me know how I provide further information.

Thanks.
Comment 1 Matthew Garrett 2013-08-08 18:02:04 EDT
liveusb-creator doesn't know how to set up the Mac bootable images. You can work around this by simply using dd to write the image directly onto a USB stick, however this will still fail in F19 due to https://fedoraproject.org/wiki/Common_F19_bugs#Apple_EFI_Macs:_EFI_install_alongside_existing_EFI_installed_OS_.28including_OS_X.29_results_in_you_have_not_created_a_bootloader_stage1_target_device_error
Comment 2 emsa 2013-08-09 15:52:52 EDT
Thanks, I followed the F18->F19 route and after a few tweaks it did work.
Comment 3 Luke Macken 2014-11-27 02:59:41 EST
I just released a new version of the liveusb-creator which supports dd-based installation, which should resolve this issue.
Comment 4 Fedora Update System 2014-11-27 03:12:59 EST
liveusb-creator-3.13.1-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/liveusb-creator-3.13.1-1.el7
Comment 5 Fedora Update System 2014-11-27 03:13:36 EST
liveusb-creator-3.13.1-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/liveusb-creator-3.13.1-1.el6
Comment 6 Fedora Update System 2014-11-27 03:14:09 EST
liveusb-creator-3.13.1-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/liveusb-creator-3.13.1-1.fc19
Comment 7 Fedora Update System 2014-11-27 03:14:42 EST
liveusb-creator-3.13.1-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/liveusb-creator-3.13.1-1.fc21
Comment 8 Fedora Update System 2014-11-27 03:15:13 EST
liveusb-creator-3.13.1-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/liveusb-creator-3.13.1-1.fc20
Comment 9 Fedora Update System 2014-11-27 14:27:07 EST
Package liveusb-creator-3.13.1-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing liveusb-creator-3.13.1-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-15869/liveusb-creator-3.13.1-1.fc21
then log in and leave karma (feedback).
Comment 10 Fedora Update System 2014-12-06 05:15:51 EST
liveusb-creator-3.13.1-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2014-12-12 18:17:11 EST
liveusb-creator-3.13.2-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/liveusb-creator-3.13.2-1.el6
Comment 12 Fedora Update System 2014-12-12 18:17:47 EST
liveusb-creator-3.13.2-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/liveusb-creator-3.13.2-1.fc20
Comment 13 Fedora Update System 2014-12-12 18:18:20 EST
liveusb-creator-3.13.2-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/liveusb-creator-3.13.2-1.fc19
Comment 14 Fedora Update System 2014-12-12 18:18:52 EST
liveusb-creator-3.13.2-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/liveusb-creator-3.13.2-1.fc21
Comment 15 Fedora Update System 2015-01-02 19:13:45 EST
liveusb-creator-3.13.2-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2015-01-03 13:57:16 EST
liveusb-creator-3.13.2-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2015-01-03 14:04:55 EST
liveusb-creator-3.13.2-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2015-01-03 14:09:56 EST
liveusb-creator-3.13.2-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.